MessagePartInfo (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.service.model, class: MessagePartInfo

Package org.apache.cxf.service.model

# Class MessagePartInfo

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder
org.apache.cxf.service.model.MessagePartInfo

All Implemented Interfaces:
  `Extensible`, `NamedItem`

public final class MessagePartInfo extends AbstractPropertiesHolder implements NamedItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePartInfo(QName n, AbstractMessageContainer info)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `QName`
  `getConcreteName()`
  `QName`
  `getElementQName()`
  `int`
  `getIndex()`
  `AbstractMessageContainer`
  `getMessageInfo()`
  `QName`
  `getName()`
  `Class<?>`
  `getTypeClass()`
  `QName`
  `getTypeQName()`
  `org.apache.ws.commons.schema.XmlSchemaAnnotated`
  `getXmlSchema()`
  `int`
  `hashCode()`
  `boolean`
  `isElement()`
  `void`
  `setConcreteName(QName concreteName)`
  `void`
  `setElement(boolean b)`
  `void`
  `setElementQName(QName qn)`
  `void`
  `setIndex(int index)`
  `void`
  `setMessageContainer(AbstractMessageContainer info)`
  `void`
  `setName(QName n)`
  `void`
  `setTypeClass(Class<?> typeClass)`
  `void`
  `setTypeQName(QName qn)`
  `void`
  `setXmlSchema(org.apache.ws.commons.schema.XmlSchemaAnnotated xmlSchema)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

  `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MessagePartInfo

    public MessagePartInfo(QName n, AbstractMessageContainer info)

- ## Method Details

  - ### setMessageContainer

    public void setMessageContainer(AbstractMessageContainer info)

  - ### getName

    public QName getName()
    Specified by:
      `getName` in interface `NamedItem`
    Returns:
      Returns the name.

  - ### setName

    public void setName(QName n)
    Parameters:
      `n` - The name to set.

  - ### getConcreteName

    public QName getConcreteName()

  - ### setConcreteName

    public void setConcreteName(QName concreteName)

  - ### isElement

    public boolean isElement()

  - ### setElement

    public void setElement(boolean b)

  - ### getElementQName

    public QName getElementQName()

  - ### getTypeQName

    public QName getTypeQName()

  - ### setTypeQName

    public void setTypeQName(QName qn)

  - ### setElementQName

    public void setElementQName(QName qn)

  - ### getMessageInfo

    public AbstractMessageContainer getMessageInfo()

  - ### getXmlSchema

    public org.apache.ws.commons.schema.XmlSchemaAnnotated getXmlSchema()

  - ### setXmlSchema

    public void setXmlSchema(org.apache.ws.commons.schema.XmlSchemaAnnotated xmlSchema)

  - ### getTypeClass

    public Class<?> getTypeClass()

  - ### setTypeClass

    public void setTypeClass(Class<?> typeClass)

  - ### getIndex

    public int getIndex()

  - ### setIndex

    public void setIndex(int index)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`